[arch-commits] Commit in xf86-video-intel/trunk (PKGBUILD fix-batch-init.patch)
Jan de Groot
jgc at archlinux.org
Sat Jun 13 12:32:31 UTC 2009
Date: Saturday, June 13, 2009 @ 08:32:31
Author: jgc
Revision: 42360
upgpkg: xf86-video-intel 2.7.99.901-1
Add 2.8RC1 driver.
This driver removes support for XAA, EXA and DRI1 to make this driver a lot more simple and to concentrate on the future.
Users who have problems with this should use the xf86-video-intel-legacy driver instead and report bugs upstream
Added:
xf86-video-intel/trunk/fix-batch-init.patch
Modified:
xf86-video-intel/trunk/PKGBUILD
----------------------+
PKGBUILD | 13 ++++++++-----
fix-batch-init.patch | 27 +++++++++++++++++++++++++++
2 files changed, 35 insertions(+), 5 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2009-06-13 12:27:05 UTC (rev 42359)
+++ PKGBUILD 2009-06-13 12:32:31 UTC (rev 42360)
@@ -2,24 +2,27 @@
# Maintainer: Alexander Baldeck <alexander at archlinux.org>
# Maintainer: Jan de Groot <jgc at archlinux.org>
pkgname=xf86-video-intel
-pkgver=2.7.1
+pkgver=2.7.99.901
pkgrel=1
pkgdesc="X.org Intel i810/i830/i915/945G/G965+ video drivers"
arch=(i686 x86_64)
url="http://xorg.freedesktop.org/"
license=('custom')
-depends=('intel-dri>=7.4.2' 'libpciaccess>=0.10.6' 'libdrm>=2.4.9' 'libxvmc')
+depends=('intel-dri>=7.4.2' 'libpciaccess>=0.10.6' 'libdrm>=2.4.11-2' 'libxvmc')
makedepends=('pkgconfig' 'xorg-server>=1.6.1' 'xf86driproto>=2.0.4' 'glproto>=1.4.9' 'mesa>=7.4.2' 'xineramaproto')
conflicts=('xorg-server<1.6.1' 'xf86-video-i810' 'xf86-video-intel-legacy')
options=('!libtool')
groups=('xorg-video-drivers')
source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2
- LICENSE)
-md5sums=('0eed17138da18ff1fb2b8ab0f076d957'
- 'b924480931774dec14515e270db4924d')
+ fix-batch-init.patch
+ LICENSE)
+md5sums=('bd2052cb77094aaea76bf9d6e1ce8ce6'
+ 'b757cac117bcffba7a501e602a6c46a3'
+ 'b924480931774dec14515e270db4924d')
build() {
cd "${srcdir}/${pkgname}-${pkgver}"
+ patch -Np1 -i "${srcdir}/fix-batch-init.patch" || return 1
./configure --prefix=/usr --enable-dri || return 1
make || return 1
make DESTDIR="${pkgdir}" install || return 1
Added: fix-batch-init.patch
===================================================================
--- fix-batch-init.patch (rev 0)
+++ fix-batch-init.patch 2009-06-13 12:32:31 UTC (rev 42360)
@@ -0,0 +1,27 @@
+From cdbf84f20295c8a78624318aa6fdfff3f5c8ce27 Mon Sep 17 00:00:00 2001
+From: Keith Packard <keithp at keithp.com>
+Date: Thu, 11 Jun 2009 20:57:09 +0000
+Subject: intel_batch_init: test have_gem, not directRenderingType
+
+Under KMS, directRenderingType will get set to DRI_NONE during driver
+initialization. When the first batch buffer is allocated, as
+directRenderingType is DRI_NONE, the GEM bufmgr would get trashed as
+intel_batch_init called a fake-bufmgr specific function.
+
+Signed-off-by: Keith Packard <keithp at keithp.com>
+---
+diff --git a/src/i830_batchbuffer.c b/src/i830_batchbuffer.c
+index a6d9c6e..c24409b 100644
+--- a/src/i830_batchbuffer.c
++++ b/src/i830_batchbuffer.c
+@@ -135,7 +135,7 @@ intel_batch_init(ScrnInfoPtr pScrn)
+
+ intel_next_batch(pScrn);
+
+- if (pI830->directRenderingType <= DRI_NONE) {
++ if (!pI830->have_gem) {
+ if (IS_I830(pI830) || IS_845G(pI830)) {
+ intel_bufmgr_fake_set_exec_callback(pI830->bufmgr,
+ intel_nondrm_exec_i830,
+--
+cgit v0.8.2
More information about the arch-commits
mailing list